Verified Commit d9d0dc33 authored by Alex Gleason's avatar Alex Gleason

Change "prepare" to "override-build" due to deprecation

parent 8803340e
......@@ -49,16 +49,16 @@ apps:
- joystick
parts:
prepare:
upgradelibs:
plugin: nil
prepare: |
override-build: |
# SDL upgrade
echo "deb http://ppa.launchpad.net/litenstein/sdl2-xenial/ubuntu xenial main" | tee /etc/apt/sources.list.d/litenstein-ubuntu-sdl2-xenial-xenial.list
apt-key adv --keyserver keyserver.ubuntu.com --recv-keys 1E0A4B32AA748B9D11C4528301A509285F2EA337
# Install updated packages
apt-get update
apt-get install -y libsdl2-2.0-0 qt512-meta-full
apt-get install -y libsdl2-2.0-0
prime: [-*]
launcher:
plugin: cmake
......@@ -80,7 +80,7 @@ parts:
- qttools5-dev
- qttools5-dev-tools
- libglm-dev
after: [prepare, desktop-qt5]
after: [upgradelibs, desktop-qt5]
override-prime: |
set -eu
snapcraftctl prime
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment